Webhook Endpoints
Update webhook
Developer API operation for PATCH /dev/v1/webhooks/.
PATCH
/
dev
/
v1
/
webhooks
/
{id}
Update webhook
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/webhook",
"events": [
"order:paid",
"payment:completed"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/webhook',
events: ['order:paid', 'payment:completed']
})
};
fetch('https://api.shoppex.io/dev/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/webhooks/{id}"
payload = {
"url": "https://example.com/webhook",
"events": ["order:paid", "payment:completed"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://example.com/webhook',
'events' => [
'order:paid',
'payment:completed'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/webhooks/{id}"
payload := strings.NewReader("{\n \"url\": \"https://example.com/webhook\",\n \"events\": [\n \"order:paid\",\n \"payment:completed\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "11111111-1111-4111-8111-111111111111",
"uniqid": "11111111-1111-4111-8111-111111111111",
"url": "https://example.com/webhook",
"events": [
"order:paid",
"payment:completed"
],
"created_at": 1711962000,
"updated_at": 1711962600
}
}⌘I
Update webhook
